{
    "name": "eye-dropper",
    "version": "0.5.16",
    "description": "Eye Dropper for Google Chrome™",
    "main": "index.js",
    "scripts": {
        "watch": "rimraf dist && webpack --config webpack/webpack.dev.js --watch",
        "build:prod": "webpack --config webpack/webpack.prod.js",
        "build:dev": "webpack --config webpack/webpack.dev.js",
        "clean": "rimraf dist",
        "zip:prod": "unlink ../archives/EyeDropper_${npm_package_version}.zip; cd dist && bestzip ../../archives/EyeDropper_${npm_package_version}.zip *",
        "zip:dev": "unlink ../archives/EyeDropper_${npm_package_version}_dev.zip; cd dist && bestzip ../../archives/EyeDropper_${npm_package_version}_dev.zip *",
        "test": "jest",
        "deploy:prod": "yarn run clean && yarn run test && yarn run build:prod && yarn run zip:prod",
        "deploy:dev": "yarn run clean && yarn run test && yarn run build:dev && yarn run zip:dev"
    },
    "author": "Ondra Kudlík (Kepi)",
    "license": "MIT",
    "repository": {
        "type": "git",
        "url": "https://github.com/kepi/chromeEyeDropper.git"
    },
    "devDependencies": {
        "@types/chrome": "0.0.227",
        "@types/jest": "^29.5.0",
        "@typescript-eslint/eslint-plugin": "^5.57.0",
        "@typescript-eslint/parser": "^5.57.0",
        "bestzip": "^2.2.1",
        "copy-webpack-plugin": "^11.0.0",
        "eslint": "^8.37.0",
        "eslint-config-prettier": "^8.8.0",
        "eslint-plugin-prettier": "^4.2.1",
        "jest": "^29.5.0",
        "prettier": "^2.8.7",
        "replace-in-file-webpack-plugin": "^1.0.6",
        "rimraf": "^4.4.1",
        "size-plugin": "^2.0.2",
        "ts-jest": "^29.0.5",
        "ts-loader": "^9.4.2",
        "typescript": "^5.0.3",
        "webpack": "^5.77.0",
        "webpack-cli": "^5.0.1",
        "webpack-merge": "^5.8.0"
    },
    "packageManager": "yarn@3.2.1",
    "dependencies": {
        "@ctrl/tinycolor": "^3.6.0",
        "hint.css": "^2.7.0",
        "medium-style-confirm": "^0.4.6",
        "simple-color-picker": "^1.0.5"
    }
}
